NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::LineDesigner::RailingFeatureBuilder Class Reference

Represents a LineDesigner::RailingFeature Features.FeatureBuilder
To create a new instance of this class, use NXOpen::LineDesigner::LineDesignerManager::CreateRailingFeatureBuilder
Default values. More...

Inheritance diagram for NXOpen::LineDesigner::RailingFeatureBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  PostOffsetType { PostOffsetTypePostOnCurve, PostOffsetTypePostLeftOfCurve, PostOffsetTypePostRightOfCurve }
 
enum  RailCrossStyle { RailCrossStyleRectangle, RailCrossStyleCircle }
 
enum  SelPostcrossStyle { SelPostcrossStyleIBeam, SelPostcrossStyleRectangle, SelPostcrossStyleCircle, SelPostcrossStyleUserDefine }
 
enum  SpaceType { SpaceTypeCountandSpan, SpaceTypePitchandSpan, SpaceTypeCountandPitch }
 

Public Member Functions

NXOpen::LineDesigner::RailingFeatureBuilder::SelPostcrossStyle EnumPostCrossStyle ()
 Returns the enum post cross style
Created in NX9.0.0. More...
 
NXOpen::LineDesigner::RailingFeatureBuilder::RailCrossStyle EnumRailCrossStyle ()
 Returns the enum rail cross style
Created in NX9.0.0. More...
 
NXOpen::LineDesigner::RailingFeatureBuilder::SpaceType EnumSpacingType ()
 Returns the enum spacing type
Created in NX9.0.0. More...
 
int IntegerCount ()
 Returns the integer count
Created in NX9.0.0. More...
 
NXOpen::ExpressionLinearDimBottomElevation ()
 Returns the linear dim bottom elevation
Created in NX9.0.0. More...
 
NXOpen::ExpressionLinearDimPitchBy ()
 Returns the linear dim pitch by
Created in NX9.0.0. More...
 
NXOpen::ExpressionLinearDimPostCrossDia ()
 Returns the linear dim post cross dia
Created in NX9.0.0. More...
 
NXOpen::ExpressionLinearDimPostCrossLength ()
 Returns the linear dim post cross length
Created in NX9.0.0. More...
 
NXOpen::ExpressionLinearDimPostCrossTickness ()
 Returns the linear dim post cross tickness
Created in NX9.0.0. More...
 
NXOpen::ExpressionLinearDimPostCrossWidth ()
 Returns the linear dim post cross width
Created in NX9.0.0. More...
 
NXOpen::ExpressionLinearDimPostHeight ()
 Returns the linear dim post height
Created in NX9.0.0. More...
 
NXOpen::ExpressionLinearDimPostSpacing ()
 Returns the linear dim post spacing
Created in NX9.0.0. More...
 
NXOpen::ExpressionLinearDimRailCrossDia ()
 Returns the linear dim rail cross dia
Created in NX9.0.0. More...
 
NXOpen::ExpressionLinearDimRailCrossLength ()
 Returns the linear dim rail cross length
Created in NX9.0.0. More...
 
NXOpen::ExpressionLinearDimRailCrossWidth ()
 Returns the linear dim rail cross width
Created in NX9.0.0. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderOnPathDimSpanBy ()
 Returns the on path dim span by
Created in NX9.0.0. More...
 
NXOpen::LineDesigner::RailingFeatureBuilder::PostOffsetType PostOffset ()
 Returns the post offset
Created in NX9.0.0. More...
 
NXOpen::SectionSelectionCurves ()
 Returns the selection curves
Created in NX9.0.0. More...
 
NXOpen::SectionSelectionPostCrossSection ()
 Returns the selection post cross section
Created in NX9.0.0. More...
 
void SetEnumPostCrossStyle (NXOpen::LineDesigner::RailingFeatureBuilder::SelPostcrossStyle enumPostCrossStyle)
 Sets the enum post cross style
Created in NX9.0.0. More...
 
void SetEnumRailCrossStyle (NXOpen::LineDesigner::RailingFeatureBuilder::RailCrossStyle enumRailCrossStyle)
 Sets the enum rail cross style
Created in NX9.0.0. More...
 
void SetEnumSpacingType (NXOpen::LineDesigner::RailingFeatureBuilder::SpaceType enumSpacingType)
 Sets the enum spacing type
Created in NX9.0.0. More...
 
void SetIntegerCount (int integerCount)
 Sets the integer count
Created in NX9.0.0. More...
 
void SetPostOffset (NXOpen::LineDesigner::RailingFeatureBuilder::PostOffsetType postOffset)
 Sets the post offset
Created in NX9.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a LineDesigner::RailingFeature Features.FeatureBuilder
To create a new instance of this class, use NXOpen::LineDesigner::LineDesignerManager::CreateRailingFeatureBuilder
Default values.

Property Value

EnumPostCrossStyle

IBeam

EnumRailCrossStyle

Rectangle

EnumSpacingType

CountandSpan

IntegerCount

2

LinearDimBottomElevation.Value

0 (millimeters part), 0 (inches part)

LinearDimPitchBy.Value

100 (millimeters part), 4 (inches part)

LinearDimPostCrossDia.Value

37.5 (millimeters part), 1.5 (inches part)

LinearDimPostCrossLength.Value

37.5 (millimeters part), 1.5 (inches part)

LinearDimPostCrossTickness.Value

3.35 (millimeters part), 0.13 (inches part)

LinearDimPostCrossWidth.Value

37.5 (millimeters part), 1.5 (inches part)

LinearDimPostHeight.Value

1067 (millimeters part), 42 (inches part)

LinearDimPostSpacing.Value

100 (millimeters part), 4 (inches part)

LinearDimRailCrossDia.Value

37.5 (millimeters part), 1.5 (inches part)

LinearDimRailCrossLength.Value

37.5 (millimeters part), 1.57 (inches part)

LinearDimRailCrossWidth.Value

37.5 (millimeters part), 1.5 (inches part)

OnPathDimSpanBy.Expression.Value

1067 (millimeters part), 42 (inches part)

PostOffset

PostOnCurve


Created in NX9.0.0.

Member Enumeration Documentation

Enumerator
PostOffsetTypePostOnCurve 

post on curve

PostOffsetTypePostLeftOfCurve 

post left of curve

PostOffsetTypePostRightOfCurve 

post right of curve

Enumerator
RailCrossStyleRectangle 

rectangle

RailCrossStyleCircle 

circle

Enumerator
SelPostcrossStyleIBeam 

ibeam

SelPostcrossStyleRectangle 

rectangle

SelPostcrossStyleCircle 

circle

SelPostcrossStyleUserDefine 

user define

Enumerator
SpaceTypeCountandSpan 

countand span

SpaceTypePitchandSpan 

pitchand span

SpaceTypeCountandPitch 

countand pitch

Member Function Documentation

NXOpen::LineDesigner::RailingFeatureBuilder::SelPostcrossStyle NXOpen::LineDesigner::RailingFeatureBuilder::EnumPostCrossStyle ( )

Returns the enum post cross style
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::LineDesigner::RailingFeatureBuilder::RailCrossStyle NXOpen::LineDesigner::RailingFeatureBuilder::EnumRailCrossStyle ( )

Returns the enum rail cross style
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::LineDesigner::RailingFeatureBuilder::SpaceType NXOpen::LineDesigner::RailingFeatureBuilder::EnumSpacingType ( )

Returns the enum spacing type
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

int NXOpen::LineDesigner::RailingFeatureBuilder::IntegerCount ( )

Returns the integer count
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::Expression* NXOpen::LineDesigner::RailingFeatureBuilder::LinearDimBottomElevation ( )

Returns the linear dim bottom elevation
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::Expression* NXOpen::LineDesigner::RailingFeatureBuilder::LinearDimPitchBy ( )

Returns the linear dim pitch by
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::Expression* NXOpen::LineDesigner::RailingFeatureBuilder::LinearDimPostCrossDia ( )

Returns the linear dim post cross dia
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::Expression* NXOpen::LineDesigner::RailingFeatureBuilder::LinearDimPostCrossLength ( )

Returns the linear dim post cross length
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::Expression* NXOpen::LineDesigner::RailingFeatureBuilder::LinearDimPostCrossTickness ( )

Returns the linear dim post cross tickness
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::Expression* NXOpen::LineDesigner::RailingFeatureBuilder::LinearDimPostCrossWidth ( )

Returns the linear dim post cross width
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::Expression* NXOpen::LineDesigner::RailingFeatureBuilder::LinearDimPostHeight ( )

Returns the linear dim post height
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::Expression* NXOpen::LineDesigner::RailingFeatureBuilder::LinearDimPostSpacing ( )

Returns the linear dim post spacing
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::Expression* NXOpen::LineDesigner::RailingFeatureBuilder::LinearDimRailCrossDia ( )

Returns the linear dim rail cross dia
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::Expression* NXOpen::LineDesigner::RailingFeatureBuilder::LinearDimRailCrossLength ( )

Returns the linear dim rail cross length
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::Expression* NXOpen::LineDesigner::RailingFeatureBuilder::LinearDimRailCrossWidth ( )

Returns the linear dim rail cross width
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::LineDesigner::RailingFeatureBuilder::OnPathDimSpanBy ( )

Returns the on path dim span by
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::LineDesigner::RailingFeatureBuilder::PostOffsetType NXOpen::LineDesigner::RailingFeatureBuilder::PostOffset ( )

Returns the post offset
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::Section* NXOpen::LineDesigner::RailingFeatureBuilder::SelectionCurves ( )

Returns the selection curves
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::Section* NXOpen::LineDesigner::RailingFeatureBuilder::SelectionPostCrossSection ( )

Returns the selection post cross section
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

void NXOpen::LineDesigner::RailingFeatureBuilder::SetEnumPostCrossStyle ( NXOpen::LineDesigner::RailingFeatureBuilder::SelPostcrossStyle  enumPostCrossStyle)

Sets the enum post cross style
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
enumPostCrossStyleenumpostcrossstyle
void NXOpen::LineDesigner::RailingFeatureBuilder::SetEnumRailCrossStyle ( NXOpen::LineDesigner::RailingFeatureBuilder::RailCrossStyle  enumRailCrossStyle)

Sets the enum rail cross style
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
enumRailCrossStyleenumrailcrossstyle
void NXOpen::LineDesigner::RailingFeatureBuilder::SetEnumSpacingType ( NXOpen::LineDesigner::RailingFeatureBuilder::SpaceType  enumSpacingType)

Sets the enum spacing type
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
enumSpacingTypeenumspacingtype
void NXOpen::LineDesigner::RailingFeatureBuilder::SetIntegerCount ( int  integerCount)

Sets the integer count
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
integerCountintegercount
void NXOpen::LineDesigner::RailingFeatureBuilder::SetPostOffset ( NXOpen::LineDesigner::RailingFeatureBuilder::PostOffsetType  postOffset)

Sets the post offset
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
postOffsetpostoffset

The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.